/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#include "opencl/opencl.pmh"

namespace fe
{

void TransformCLOp::initialize(void)
{
	catalog<SpatialVector>("rotateX")=SpatialVector(1.0,0.0,0.0);
	catalog<String>("rotateX","label")="Rotate X";

	catalog<SpatialVector>("rotateY")=SpatialVector(0.0,1.0,0.0);
	catalog<String>("rotateY","label")="Rotate Y";

	catalog<SpatialVector>("rotateZ")=SpatialVector(0.0,0.0,1.0);
	catalog<String>("rotateZ","label")="Rotate Z";

	catalog<SpatialVector>("translation")=SpatialVector(0.0,0.0,0.0);
	catalog<String>("translation","label")="Translation";

	catalog<String>("arguments")=
			"output:pt:P "
			"param:rotateX "
			"param:rotateY "
			"param:rotateZ "
			"param:translation";

	catalog<String>("source")=
			#include "TransformCLOp.cl"
			;
}

} // namespace
