import os
import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"shader.pmh",
				"ColorShade",
				"NoiseShade",
				"shaderDL" ]

	dll = module.DLL( "fexShaderDL", srcList )

	deplibs = forge.corelibs+ [
				"fexMathLib",
				"fexShadeDLLib",
				"fexSurfaceDLLib" ]

	forge.deps( ["fexShaderDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexShaderDL",					None,	None) ]

