/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

#include "opencl/opencl.pmh"

namespace fe
{

void CurlCLOp::initialize(void)
{
	catalog<Real>("amplitude")=1.0;

	catalog<Real>("spin")=360.0;

	catalog<String>("arguments")=
			"output:pt:P "
			"output:vertStart "
			"output:vertCount "
			"param:amplitude "
			"param:spin";

	catalog<String>("domain")="primitive";

	catalog<String>("source")=
			#include "matrix_math.cl"
			#include "CurlCLOp.cl"
			;
}

} // namespace
