import os
import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"opengl.pmh",
				"DrawOpenGL",
				"ViewOpenGL",
				"openglDL" ]

	dll = module.DLL( "fexOpenGLDL", srcList )

	dll.linkmap = { "gfxlibs": forge.gfxlibs }

	deplibs = forge.corelibs+ [
				"feSignalLib",
				"fexDataToolDLLib",
				"fexDrawDLLib" ]

	forge.deps( ["fexOpenGLDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",		"fexOpenGLDL",				None,		None) ]

#	module.Module('test')
